Uses Crt,ModeXLib,Gif,Font;

Var Input:Char;                {input character}

Begin
  Init_ModeX;                  {Mode X on}
  LoadGif('pfont4');           {load character set}
  p13_2_ModeX(48000,16000);    {and copy to page 3}

  Repeat                       {loop for outputting keyboard input}
    Input:=ReadKey;            {get character}
    Print_Char(Input);         {and put on monitor}
  Until Input=#27;             {until Esc pressed}

  Print_String('hello, test'); {finally, output a string}
  ReadLn;
  TextMode(3);
End.
